
#include "TLorentzVector.h"

class Electron: public TLorentzVector
{
public:
  Electron(): TLorentzVector() {}
  virtual ~Electron() {}
 
  unsigned int isEM() const; 
  int loose() const ;
  int medium() const ;
  int mediumIso() const; 
  int tight() const ;
  int tightIso() const; 

  ClassDef(Electron,1);
protected:
  unsigned int m_isEM;
  int m_loose;
  int m_medium;
  int m_mediumIso;
  int m_tight;
  int m_tightIso;

};
